blfwk::StringMatcher Class Referenceabstract

Abstract interface class used to select strings by name. More...

`#include <StringMatcher.h>`

Inheritance diagram for blfwk::StringMatcher:
[legend]

## Public Member Functions

virtual bool | match (const std::string &testValue)=0
| Performs a single string match test against testValue. More...

## Detailed Description

Abstract interface class used to select strings by name.

## Member Function Documentation

virtual bool blfwk::StringMatcher::match | ( | const std::string & | testValue | ) |

pure virtual

Performs a single string match test against testValue.

Return values

  true | The testValue argument matches.
  false | No match was made against the argument.

Implemented in blfwk::FixedMatcher, blfwk::WildcardMatcher, blfwk::ExcludesListMatcher, and blfwk::GlobMatcher.

The documentation for this class was generated from the following file:

- src/blfwk/StringMatcher.h